# template: default
%global gem_name os

Name: rubygem-%{gem_name}
Version: 1.1.4
Release: 1%{?dist}
Summary: Simple and easy way to know if you're on windows or not (reliably), as well as how many bits the OS is, etc
License: MIT
URL: https://github.com/rdp/os
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
The OS gem allows for some useful and easy functions, like OS.windows? (=>
true or false) OS.bits ( => 32 or 64) etc".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.autotest
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%exclude %{gem_instdir}/autotest
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/os.gemspec
%{gem_instdir}/spec

%changelog
* Sun Jul 24 2022 Foreman Packaging Automation <packaging@theforeman.org> 1.1.4-1
- Update to 1.1.4

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-3
- Rebuild against rh-ruby27

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 1.0.0-2
- Bump to release for EL8

* Thu Mar 14 2019 kgaikwad <kavitagaikwad103@gmail.com> 1.0.0-1
- Add rubygem-os generated by gem2rpm using the scl template

